scala.util

# matching

#### package matching

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### class Regex extends Serializable

   A regular expression is used to determine whether a string matches a pattern and, if it does, to extract or transform the parts that match.

2. #### trait UnanchoredRegex extends Regex

   A Regex that finds the first match when used in a pattern match.

### Value Members

1. #### object Regex extends Serializable

   This object defines inner classes that describe regex matches and helper objects.

### Ungrouped